API Explorer 936 endpoints

Get Api Collections for User

GET /obp/v7.0.0/users/USER_ID/api-collections

OBPv4.0.0-getApiCollectionsForUser Roles: CanGetApiCollectionsForUser Api-Collection

Get Api Collections for User.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

USER_ID: 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1

JSON response body fields (6)
api_collection_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
api_collection_name
Favourites
api_collections
api_collections
description
Description of the object. Maximum length is 2000. It can be any characters here.
is_sharable
is_sharable
user_id
9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
Example success response
{
  "api_collections": [
    {
      "api_collection_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "api_collection_name": "Favourites",
      "is_sharable": true,
      "description": "Description of the object. Maximum length is 2000. It can be any characters here."
    }
  ]
}
Possible errors (4)
  • OBP-20057: User not found by userId.
  • OBP-50000: Unknown Error.
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv4.0.0 getApiCollectionsForUser Originally /obp/v4.0.0/users/USER_ID/api-collections